#if ( SVR3 || bsd4_2 || MACH || sun || __hpux )
#define NO_PROTO
#endif

#ifdef NO_PROTO
int  get_line();
void set_def();
void get_make();
void set_var();
void get_dqs_config();
void configure_conf_file();
void get_resolve_file();
void give_intro();
void stat_move_files();
void undo_config();
void exit_config();
int in_services();
void parse_to_exec_matrix();
void dump_exec_matrix();
void free_exec_matrix();
int exec_it();
int check_user();
void add_services();
void find_good_ports();
int make_dir();
int do_make_dir();
void write_all_config();
void read_all_config();
char* jread();
void interrupt_so_punt();
char * check_node_hostname();
char * get_administrator();
void copy_key_file();
void squeeze_space();
void delete_ltr_spaces();
void get_res_ports();
void copy_res_conf_files();
void find_good_ports();
int dqs_getdomainname();

#else

int  get_line(char**, int);
void set_def(char**, int);
void get_make(void);
void set_var(char*,char*);
void get_dqs_config (void);
void configure_conf_file (void);
void get_resolve_file (void);
void give_intro (void);
void stat_move_files (void);
void undo_config (void);
void exit_config (void);
int in_services(char*);
void parse_to_exec_matrix(char*);
void dump_exec_matrix(void);
void free_exec_matrix(void);
int exec_it(char*);
int check_user(void);
void add_services(void);
void find_good_ports();
int make_dir(char*,int);
int do_make_dir(char*,int);
void write_all_config(void);
void read_all_config(char*);
char* jread(FILE*,char*);
void interrupt_so_punt();
char * check_node_hostname();
char * get_administrator();
void copy_key_file();
void squeeze_space(char*);
void delete_ltr_spaces(char*);
void get_res_ports(char*,char*,char*);
void copy_res_conf_files();
void find_good_ports();
int dqs_getdomainname(char *,int);

#endif


